/***************************************************************

Copyright 2011 - NY00123
Copyright 2011 - Turrican

This file is part of YANG.

You're not allowed to give YANG and derivatives of it to anyone.
IN ADDITION, THIS FILE IS PROVIDED WITHOUT ANY KIND OF WARRANTY,
WHETHER EXPRESSED OR IMPLIED.

***************************************************************/

#include <ctype.h>
#include <string.h>
//#include "flags_hash.h"
#include "countryflags.h"

#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include <wx/mstream.h>
#include <wx/image.h>
#endif

/*
const char** getFlagXPM(const char* code)
{
	int i, l_len = strlen(code);
	char* l_lowercode = new char[l_len+1];
	for (i = 0; i < l_len; i++)
		l_lowercode[i] = tolower(code[i]);
	l_lowercode[l_len] = '\0';
	return Perfect_Hash::in_word_set(l_lowercode, l_len);
}
*/

wxImage getFlag(const char *code)
{
	int i = 0;

	while (wxString(code, wxConvUTF8).MakeLower() != wxString(flagPNGCodeVector[i].code, wxConvUTF8) && i < FLAGS_PNG_SIZE-1)
		i++;

	wxMemoryInputStream istream_flag(flagPNGCodeVector[i].png, flagPNGCodeVector[i].size);

//	return wxImage(getFlagXPM(code)).Resize(wxSize(16, 16), wxPoint(!strcmp(code, "CH") ? 2 : !strcmp(code, "NP") ? 3 : 0, 3));
	return wxImage(istream_flag, wxBITMAP_TYPE_PNG).Resize(wxSize(16, 16), wxPoint(!strcmp(code, "CH") ? 2 : !strcmp(code, "NP") ? 3 : 0, 3));
}
