/***************************************************************

Copyright 2011 - NY00123
Copyright 2011 - Turrican

This file is part of YANG.

You're not allowed to give YANG and derivatives of it to anyone.
IN ADDITION, THIS FILE IS PROVIDED WITHOUT ANY KIND OF WARRANTY,
WHETHER EXPRESSED OR IMPLIED.

***************************************************************/

#ifndef _YANG_CUSTOMSELECT_DIALOG_H_
#define _YANG_CUSTOMSELECT_DIALOG_H_

#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include <wx/button.h>
#include <wx/dialog.h>
#include <wx/panel.h>
#include <wx/stattext.h>
#include <wx/string.h>
#endif

#include "theme.h"

#define ID_CUSTOMSELECTPROFILE 1000

class CustomSelectDialog : public YANGDialog
{
public:
	CustomSelectDialog(wxWindow* parent, const wxString& roomname);

	void OnSelectCustomProfile(wxCommandEvent& event);

	void OnOk(wxCommandEvent& event);
	void OnCancel(wxCommandEvent& event);

	bool customprofile_selected;

private:
	void UpdateSummaryList();

	YANGPanel* m_CustomSelectpanel;
	wxStaticText* m_CustomSelectroomnamestaticText;
	wxStaticText* m_CustomSelectprofilestaticText;
	YANGChoice* m_CustomSelectprofilechoice;
	wxStaticText* m_CustomSelectsummarystaticText;
	YANGTextCtrl* m_CustomSelectsummarytextCtrl;

	wxStdDialogButtonSizer* m_CustomSelectsdbSizer;
	YANGButton* m_CustomSelectsdbSizerOK;
	YANGButton* m_CustomSelectsdbSizerCancel;

	DECLARE_EVENT_TABLE()
};

#endif
