/***************************************************************

Copyright 2011 - NY00123
Copyright 2011 - Turrican

This file is part of YANG.

You're not allowed to give YANG and derivatives of it to anyone.
IN ADDITION, THIS FILE IS PROVIDED WITHOUT ANY KIND OF WARRANTY,
WHETHER EXPRESSED OR IMPLIED.

***************************************************************/

#ifndef _YANG_OUTDATEDEXE_DIALOG_H_
#define _YANG_OUTDATEDEXE_DIALOG_H_

#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include <wx/button.h>
#include <wx/dialog.h>
#include <wx/panel.h>
#include <wx/stattext.h>
#include <wx/string.h>
#endif

class OutdatedExeDialog : public wxDialog
{
public:
	OutdatedExeDialog(wxWindow* parent, const wxString& contents, const wxString& title,
		const wxString& patch, const wxString& extrapatch,
		const wxString& patch_filename, const wxString& extrapatch_filename,
		bool have_extrapatch);
	void OnDownload1(wxCommandEvent& event);
	void OnDownload2(wxCommandEvent& event);
	void OnClose(wxCommandEvent& event);
private:
	wxPanel* m_OutdatedExepanel;
	wxStaticText* m_outdatedexecontents;
	wxButton *m_download1button, *m_download2button, *m_closebutton;
	wxString m_patch, m_extrapatch;

	DECLARE_EVENT_TABLE()
};

#endif
