/***************************************************************

Copyright 2011 - NY00123
Copyright 2011 - Turrican

This file is part of YANG.

You're not allowed to give YANG and derivatives of it to anyone.
IN ADDITION, THIS FILE IS PROVIDED WITHOUT ANY KIND OF WARRANTY,
WHETHER EXPRESSED OR IMPLIED.

***************************************************************/

#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include <wx/platform.h>
#endif

#ifdef __WXMSW__
//#include <windows.h>
//#include <wx/msw/winundef.h>
#include "pingstopwatch.h"

PingStopWatch::PingStopWatch()
{
	m_paused = 0;
}

void PingStopWatch::Pause() {
	if (m_paused == 0)
		m_counter = timeGetTime() - m_counter;
	m_paused++;
}

void PingStopWatch::Resume() {
	m_paused--;
	if (m_paused == 0)
		m_counter = timeGetTime() - m_counter;
}

void PingStopWatch::Start(long milliseconds) {
	m_counter = (DWORD)(timeGetTime() - milliseconds);
	m_paused = 0;
}

long PingStopWatch::Time() const {
	if (m_paused > 0)
		return (long)m_counter;
	return (long)(timeGetTime() - m_counter);
}
#endif
