/***************************************************************

Copyright 2011 - NY00123
Copyright 2011 - Turrican

This file is part of YANG.

You're not allowed to give YANG and derivatives of it to anyone.
IN ADDITION, THIS FILE IS PROVIDED WITHOUT ANY KIND OF WARRANTY,
WHETHER EXPRESSED OR IMPLIED.

***************************************************************/

#ifndef _YANG_PINGSTOPWATCH_H_
#define _YANG_PINGSTOPWATCH_H_

#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include <wx/platform.h>
#endif

#ifdef __WXMSW__
#include <windows.h>
class PingStopWatch
{
public:
	PingStopWatch();
	void Pause();
	void Resume();
	void Start(long milliseconds = 0);
	long Time() const;
private:
	DWORD m_counter;
	int m_paused;
};
#else
#define PingStopWatch wxStopWatch
#endif

#endif
