/***************************************************************

Copyright 2011 - NY00123
Copyright 2011 - Turrican

This file is part of YANG.

You're not allowed to give YANG and derivatives of it to anyone.
IN ADDITION, THIS FILE IS PROVIDED WITHOUT ANY KIND OF WARRANTY,
WHETHER EXPRESSED OR IMPLIED.

***************************************************************/

#ifndef _YANG_BANLISTDIALOG_H_
#define _YANG_BANLISTDIALOG_H_

#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include <wx/string.h>
#include <wx/stattext.h>
#include <wx/gdicmn.h>
#include <wx/font.h>
#include <wx/colour.h>
#include <wx/settings.h>
#include <wx/textctrl.h>
#include <wx/button.h>
#include <wx/gbsizer.h>
#include <wx/listbox.h>
#include <wx/sizer.h>
#include <wx/panel.h>
#include <wx/dialog.h>
#endif

#include "theme.h"

#define ID_BANLISTENTER 1000
#define ID_BANLISTADD 1001
#define ID_BANLISTREM 1002

class BanListDialog : public YANGDialog 
{
public:
	BanListDialog(wxWindow* parent);
	void ShowBanListDialog();
	void OnBanListAdd(wxCommandEvent& event);
	void OnBanListRem(wxCommandEvent& event);
	void OnOk(wxCommandEvent& event);
	YANGListBox* m_banlistBox;
private:
	wxWindow* m_parent;
	YANGPanel* m_BanListpanel;
	wxStaticText* m_banliststaticText;
	YANGTextCtrl* m_banlisttextCtrl;
	YANGButton* m_banlistaddbutton;
	YANGButton* m_banlistrembutton;
	wxStdDialogButtonSizer* m_BanListsdbSizer;
	YANGButton* m_BanListsdbSizerOK;
	YANGButton* m_BanListsdbSizerCancel;

	DECLARE_EVENT_TABLE()
};

#endif //__wxfbguis__

