/***************************************************************

Copyright 2011 - NY00123
Copyright 2011 - Turrican

This file is part of YANG.

You're not allowed to give YANG and derivatives of it to anyone.
IN ADDITION, THIS FILE IS PROVIDED WITHOUT ANY KIND OF WARRANTY,
WHETHER EXPRESSED OR IMPLIED.

***************************************************************/

#ifndef _YANG_MANUALJOINDIALOG_H_
#define _YANG_MANUALJOINDIALOG_H_

#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include <wx/gbsizer.h>
#endif

#include "theme.h"

#define ID_MANUALJOINENTER 1000
#define ID_MANUALJOINADD 1001
//#define ID_MANUALJOINNAMELIST 1002
//#define ID_MANUALJOINHOSTADDRLIST 1003
//#define ID_MANUALJOINPORTNUMLIST 1004
//#define ID_MANUALJOINREM 1005
#define ID_MANUALJOINLIST 1002
#define ID_MANUALJOINREM 1003

class ManualJoinDialog : public YANGDialog 
{
public:
	ManualJoinDialog();
	//~ManualJoinDialog();
	//void RefreshListCtrlSize();
	void OnOk(wxCommandEvent& event);
	void OnCancel(wxCommandEvent& event);
	void OnAddHost(wxCommandEvent& event);
	void OnRemHost(wxCommandEvent& event);
	//void OnHostSelect(wxCommandEvent& event);
	void OnHostSelect(wxListEvent& event);
	void OnHostActivate(wxListEvent& event);
private:
	void Connect();
	YANGPanel* m_ManualJoinpanel;
	wxStaticText* m_manualjoinnamestaticText;
	wxStaticText* m_manualjoinhostaddrstaticText;
	wxStaticText* m_manualjoinportnumstaticText;
	YANGTextCtrl* m_manualjoinnametextCtrl;
	YANGTextCtrl* m_manualjoinhostaddrtextCtrl;
	wxStaticText* m_manualjoinseparatorstaticText;
	YANGTextCtrl* m_manualjoinportnumtextCtrl;
	YANGButton* m_manualjoinaddbutton;
	YANGListCtrl* m_manualjoinlistCtrl;
	YANGButton* m_manualjoinrembutton;
	wxStdDialogButtonSizer* m_ManualJoinsdbSizer;
	YANGButton* m_ManualJoinsdbSizerOK;
	YANGButton* m_ManualJoinsdbSizerCancel;

	DECLARE_EVENT_TABLE()
};

#endif

