/***************************************************************

Copyright 2011 - NY00123
Copyright 2011 - Turrican

This file is part of YANG.

You're not allowed to give YANG and derivatives of it to anyone.
IN ADDITION, THIS FILE IS PROVIDED WITHOUT ANY KIND OF WARRANTY,
WHETHER EXPRESSED OR IMPLIED.

***************************************************************/

#ifndef _YANG_MAPSELECTIONDIALOG_H_
#define _YANG_MAPSELECTIONDIALOG_H_

#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#include "config.h"
#include "theme.h"

#define ID_ADDNEWMAP 1000
#define ID_MAPSELECTIONCLOSE (wxID_LOWEST-2)

class MapSelectionDialog : public YANGDialog 
{
public:
	MapSelectionDialog( wxWindow* parent, GameType game);
	void ShowDialog();
	void RefreshMapsList();
	bool GetMapSelection(wxString& map_name);
	void OnAddNewMap(wxCommandEvent& event);
	void OnOKOrCancel(wxCommandEvent& event);
	//~MapSelectionDialog();

	bool m_response;
	wxString m_response_filename;
	GameType m_game;

private:
	YANGPanel* m_mapselectionpanel;
	wxStaticText* m_mapselectionstaticText;
	YANGListBox* m_mapselectionlistBox;
	YANGButton* m_mapselectionaddbutton;
	wxStdDialogButtonSizer* m_mapselectionsdbSizer;
	YANGButton* m_mapselectionsdbSizerOK;
	YANGButton* m_mapselectionsdbSizerCancel;

	wxWindow* m_parent;

	DECLARE_EVENT_TABLE()
};

#endif
