/***************************************************************

Copyright 2011 - NY00123
Copyright 2011 - Turrican

This file is part of YANG.

You're not allowed to give YANG and derivatives of it to anyone.
IN ADDITION, THIS FILE IS PROVIDED WITHOUT ANY KIND OF WARRANTY,
WHETHER EXPRESSED OR IMPLIED.

***************************************************************/

#ifndef _YANGMASTER_CLIENTSTABLE_H_
#define _YANGMASTER_CLIENTSTABLE_H_

#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include <wx/socket.h>
#endif

typedef struct
{
	wxSocketBase* sock;
	wxString address;
} MasterClient;

class MasterClientsTable
{
public:
	MasterClientsTable(int max_clients);
	~MasterClientsTable();
	int Count(const wxString& address);
	bool TryAdd(wxSocketBase* sock);
	void Delete(wxSocketBase* sock);
	MasterClient* m_clients;
	int m_num_of_clients, m_max_num_of_clients;
	wxCriticalSection m_critical_section;
};

#endif
