/***************************************************************

Copyright 2011 - NY00123
Copyright 2011 - Turrican

This file is part of YANG.

You're not allowed to give YANG and derivatives of it to anyone.
IN ADDITION, THIS FILE IS PROVIDED WITHOUT ANY KIND OF WARRANTY,
WHETHER EXPRESSED OR IMPLIED.

***************************************************************/

#ifndef _YANG_UPNP_H_
#define _YANG_UPNP_H_

#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include <wx/socket.h>
#endif

class UPNPData
{
public:
	UPNPData();
	void Detect();
	void Forward(long port_num, bool is_tcp);
	void UnForward(long port_num, bool is_tcp);

	wxCriticalSection m_critical_section;
	wxString m_addr, m_url;
	unsigned long m_port_num;
	bool m_is_wanip;
};

#endif
